<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:17 PST 2005 -->
<TITLE>
: F-Index
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-5.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-7.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-6.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <A HREF="index-22.html">X</A> <A HREF="index-23.html">Y</A> <HR>
<A NAME="_F_"><!-- --></A><H2>
<B>F</B></H2>
<DL>
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/Field.html"><B>Field</B></A> - interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/Field.html">Field</A>.<DD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Field</b></em>'.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIELD"><B>FIELD</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The meta object id for the '<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/impl/FieldImpl.html"><CODE><em>Field</em></CODE></A>' class.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIELD__CONTAINED_TYPE"><B>FIELD__CONTAINED_TYPE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Contained Type</b></em>' containment reference.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIELD__DEPENDENCIES"><B>FIELD__DEPENDENCIES</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIELD__DESCRIPTION"><B>FIELD__DESCRIPTION</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Description</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIELD__EANNOTATIONS"><B>FIELD__EANNOTATIONS</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIELD__LABEL"><B>FIELD__LABEL</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Label</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIELD__NAME"><B>FIELD__NAME</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Name</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIELD__REFERENCED_TYPE"><B>FIELD__REFERENCED_TYPE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Referenced Type</b></em>' reference.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIELD__SCOPE_CHECK"><B>FIELD__SCOPE_CHECK</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Scope Check</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIELD__SCOPE_CHECKED"><B>FIELD__SCOPE_CHECKED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Scope Checked</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIELD_FEATURE_COUNT"><B>FIELD_FEATURE_COUNT</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The number of structural features of the the '<em>Field</em>' class.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/impl/FieldImpl.html"><B>FieldImpl</B></A> - class org.eclipse.wst.rdb.internal.models.sql.datatypes.impl.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/impl/FieldImpl.html">FieldImpl</A>.<DD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Field</b></em>'.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/LinkControlOption.html#FILE_LINK_CONTROL"><B>FILE_LINK_CONTROL</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/LinkControlOption.html">LinkControlOption</A>
<DD>The '<em><b>FILE LINK CONTROL</b></em>' literal value.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/LinkControlOption.html#FILE_LINK_CONTROL_LITERAL"><B>FILE_LINK_CONTROL_LITERAL</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/LinkControlOption.html">LinkControlOption</A>
<DD>The '<em><b>FILE LINK CONTROL</b></em>' literal object.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/schema/helper/DatabaseHelper.html#findSchema(org.eclipse.wst.rdb.internal.models.sql.schema.Database, java.lang.String)"><B>findSchema(Database, String)</B></A> - 
Static method in class org.eclipse.wst.rdb.internal.models.sql.schema.helper.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/schema/helper/DatabaseHelper.html">DatabaseHelper</A>
<DD>Finds a <code>Schema</code> by its name in a given <code>Database</code>.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/schema/helper/SchemaHelper.html#findTable(org.eclipse.wst.rdb.internal.models.sql.schema.Schema, java.lang.String)"><B>findTable(Schema, String)</B></A> - 
Static method in class org.eclipse.wst.rdb.internal.models.sql.schema.helper.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/schema/helper/SchemaHelper.html">SchemaHelper</A>
<DD>Finds a <code>Table</code> by its name in a given <code>Schema</code>,
 the given <code>tableName</code> is not case sensitive.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/schema/helper/DatabaseHelper.html#findTables(org.eclipse.wst.rdb.internal.models.sql.schema.Database, java.lang.String)"><B>findTables(Database, String)</B></A> - 
Static method in class org.eclipse.wst.rdb.internal.models.sql.schema.helper.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/schema/helper/DatabaseHelper.html">DatabaseHelper</A>
<DD>Finds all <code>Table</code>s with the name <code>tableName</code> in all
 <code>Schema</code>'s of the given <code>database</code>.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIXED_PRECISION_DATA_TYPE"><B>FIXED_PRECISION_DATA_TYPE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The meta object id for the '<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/impl/FixedPrecisionDataTypeImpl.html"><CODE><em>Fixed Precision Data Type</em></CODE></A>' class.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIXED_PRECISION_DATA_TYPE__DEPENDENCIES"><B>FIXED_PRECISION_DATA_TYPE__DEPENDENCIES</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIXED_PRECISION_DATA_TYPE__DESCRIPTION"><B>FIXED_PRECISION_DATA_TYPE__DESCRIPTION</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Description</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIXED_PRECISION_DATA_TYPE__EANNOTATIONS"><B>FIXED_PRECISION_DATA_TYPE__EANNOTATIONS</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIXED_PRECISION_DATA_TYPE__LABEL"><B>FIXED_PRECISION_DATA_TYPE__LABEL</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Label</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIXED_PRECISION_DATA_TYPE__NAME"><B>FIXED_PRECISION_DATA_TYPE__NAME</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Name</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIXED_PRECISION_DATA_TYPE__PRECISION"><B>FIXED_PRECISION_DATA_TYPE__PRECISION</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Precision</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIXED_PRECISION_DATA_TYPE__PRIMITIVE_TYPE"><B>FIXED_PRECISION_DATA_TYPE__PRIMITIVE_TYPE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Primitive Type</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIXED_PRECISION_DATA_TYPE__SCALE"><B>FIXED_PRECISION_DATA_TYPE__SCALE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The feature id for the '<em><b>Scale</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html#FIXED_PRECISION_DATA_TYPE_FEATURE_COUNT"><B>FIXED_PRECISION_DATA_TYPE_FEATURE_COUNT</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/SQLDataTypesPackage.html">SQLDataTypesPackage</A>
<DD>The number of structural features of the the '<em>Fixed Precision Data Type</em>' class.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/FixedPrecisionDataType.html"><B>FixedPrecisionDataType</B></A> - interface org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/FixedPrecisionDataType.html">FixedPrecisionDataType</A>.<DD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Fixed Precision Data Type</b></em>'.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/impl/FixedPrecisionDataTypeImpl.html"><B>FixedPrecisionDataTypeImpl</B></A> - class org.eclipse.wst.rdb.internal.models.sql.datatypes.impl.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/impl/FixedPrecisionDataTypeImpl.html">FixedPrecisionDataTypeImpl</A>.<DD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Fixed Precision Data Type</b></em>'.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/PrimitiveType.html#FLOAT"><B>FLOAT</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/PrimitiveType.html">PrimitiveType</A>
<DD>The '<em><b>FLOAT</b></em>' literal value.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/PrimitiveType.html#FLOAT_LITERAL"><B>FLOAT_LITERAL</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/PrimitiveType.html">PrimitiveType</A>
<DD>The '<em><b>FLOAT</b></em>' literal object.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY"><B>FOREIGN_KEY</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The meta object id for the '<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/ForeignKeyImpl.html"><CODE><em>Foreign Key</em></CODE></A>' class.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__BASE_TABLE"><B>FOREIGN_KEY__BASE_TABLE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>Base Table</b></em>' container reference.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__DEFERRABLE"><B>FOREIGN_KEY__DEFERRABLE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>Deferrable</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__DEPENDENCIES"><B>FOREIGN_KEY__DEPENDENCIES</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__DESCRIPTION"><B>FOREIGN_KEY__DESCRIPTION</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>Description</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__EANNOTATIONS"><B>FOREIGN_KEY__EANNOTATIONS</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__ENFORCED"><B>FOREIGN_KEY__ENFORCED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>Enforced</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__INITIALLY_DEFERRED"><B>FOREIGN_KEY__INITIALLY_DEFERRED</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>Initially Deferred</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__LABEL"><B>FOREIGN_KEY__LABEL</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>Label</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__MATCH"><B>FOREIGN_KEY__MATCH</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>Match</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__MEMBERS"><B>FOREIGN_KEY__MEMBERS</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>Members</b></em>' reference list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__NAME"><B>FOREIGN_KEY__NAME</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>Name</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__ON_DELETE"><B>FOREIGN_KEY__ON_DELETE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>On Delete</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__ON_UPDATE"><B>FOREIGN_KEY__ON_UPDATE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>On Update</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__REFERENCED_MEMBERS"><B>FOREIGN_KEY__REFERENCED_MEMBERS</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>Referenced Members</b></em>' reference list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__UNIQUE_CONSTRAINT"><B>FOREIGN_KEY__UNIQUE_CONSTRAINT</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>Unique Constraint</b></em>' reference.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY__UNIQUE_INDEX"><B>FOREIGN_KEY__UNIQUE_INDEX</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The feature id for the '<em><b>Unique Index</b></em>' reference.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html#FOREIGN_KEY_FEATURE_COUNT"><B>FOREIGN_KEY_FEATURE_COUNT</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A>
<DD>The number of structural features of the the '<em>Foreign Key</em>' class.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/ForeignKey.html"><B>ForeignKey</B></A> - interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/ForeignKey.html">ForeignKey</A>.<DD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Foreign Key</b></em>'.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/ForeignKeyImpl.html"><B>ForeignKeyImpl</B></A> - class org.eclipse.wst.rdb.internal.models.sql.constraints.impl.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/ForeignKeyImpl.html">ForeignKeyImpl</A>.<DD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Foreign Key</b></em>'.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/ReadPermissionOption.html#FS"><B>FS</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/ReadPermissionOption.html">ReadPermissionOption</A>
<DD>The '<em><b>FS</b></em>' literal value.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/WritePermissionOption.html#FS"><B>FS</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/WritePermissionOption.html">WritePermissionOption</A>
<DD>The '<em><b>FS</b></em>' literal value.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/ReadPermissionOption.html#FS_LITERAL"><B>FS_LITERAL</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/ReadPermissionOption.html">ReadPermissionOption</A>
<DD>The '<em><b>FS</b></em>' literal object.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/WritePermissionOption.html#FS_LITERAL"><B>FS_LITERAL</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/WritePermissionOption.html">WritePermissionOption</A>
<DD>The '<em><b>FS</b></em>' literal object.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/OrderingType.html#FULL"><B>FULL</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/OrderingType.html">OrderingType</A>
<DD>The '<em><b>FULL</b></em>' literal value.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/OrderingType.html#FULL_LITERAL"><B>FULL_LITERAL</B></A> - 
Static variable in class org.eclipse.wst.rdb.internal.models.sql.datatypes.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/datatypes/OrderingType.html">OrderingType</A>
<DD>The '<em><b>FULL</b></em>' literal object.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/Function.html"><B>Function</B></A> - interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/Function.html">Function</A>.<DD><!-- begin-user-doc -->
 A representation of the model object '<em><b>Function</b></em>'.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION"><B>FUNCTION</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The meta object id for the '<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/impl/FunctionImpl.html"><CODE><em>Function</em></CODE></A>' class.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__AUTHORIZATION_ID"><B>FUNCTION__AUTHORIZATION_ID</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Authorization ID</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__CREATION_TS"><B>FUNCTION__CREATION_TS</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Creation TS</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__DEPENDENCIES"><B>FUNCTION__DEPENDENCIES</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__DESCRIPTION"><B>FUNCTION__DESCRIPTION</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Description</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__DETERMINISTIC"><B>FUNCTION__DETERMINISTIC</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Deterministic</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__EANNOTATIONS"><B>FUNCTION__EANNOTATIONS</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__EXTERNAL_NAME"><B>FUNCTION__EXTERNAL_NAME</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>External Name</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__LABEL"><B>FUNCTION__LABEL</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Label</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__LANGUAGE"><B>FUNCTION__LANGUAGE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Language</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__LAST_ALTERED_TS"><B>FUNCTION__LAST_ALTERED_TS</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Last Altered TS</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__MUTATOR"><B>FUNCTION__MUTATOR</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Mutator</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__NAME"><B>FUNCTION__NAME</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Name</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__NULL_CALL"><B>FUNCTION__NULL_CALL</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Null Call</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__PARAMETER_STYLE"><B>FUNCTION__PARAMETER_STYLE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Parameter Style</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__PARAMETERS"><B>FUNCTION__PARAMETERS</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Parameters</b></em>' containment reference list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__RETURN_CAST"><B>FUNCTION__RETURN_CAST</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Return Cast</b></em>' containment reference.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__RETURN_SCALER"><B>FUNCTION__RETURN_SCALER</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Return Scaler</b></em>' containment reference.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__RETURN_TABLE"><B>FUNCTION__RETURN_TABLE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Return Table</b></em>' containment reference.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__SCHEMA"><B>FUNCTION__SCHEMA</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Schema</b></em>' reference.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__SECURITY"><B>FUNCTION__SECURITY</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Security</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__SOURCE"><B>FUNCTION__SOURCE</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Source</b></em>' containment reference list.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__SPECIFIC_NAME"><B>FUNCTION__SPECIFIC_NAME</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Specific Name</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__SQL_DATA_ACCESS"><B>FUNCTION__SQL_DATA_ACCESS</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Sql Data Access</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__STATIC"><B>FUNCTION__STATIC</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Static</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__TRANSFORM_GROUP"><B>FUNCTION__TRANSFORM_GROUP</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Transform Group</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION__TYPE_PRESERVING"><B>FUNCTION__TYPE_PRESERVING</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The feature id for the '<em><b>Type Preserving</b></em>' attribute.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html#FUNCTION_FEATURE_COUNT"><B>FUNCTION_FEATURE_COUNT</B></A> - 
Static variable in interface org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/SQLRoutinesPackage.html">SQLRoutinesPackage</A>
<DD>The number of structural features of the the '<em>Function</em>' class.
<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/impl/FunctionImpl.html"><B>FunctionImpl</B></A> - class org.eclipse.wst.rdb.internal.models.sql.routines.impl.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/impl/FunctionImpl.html">FunctionImpl</A>.<DD><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Function</b></em>'.<DT><A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/FunctionType.html"><B>FunctionType</B></A> - class org.eclipse.wst.rdb.internal.models.sql.routines.<A HREF="../org/eclipse/wst/rdb/internal/models/sql/routines/FunctionType.html">FunctionType</A>.<DD><!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Function Type</b></em>',
 and utility methods for working with them.</DL>
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-5.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-7.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-6.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <A HREF="index-22.html">X</A> <A HREF="index-23.html">Y</A> <HR>

</BODY>
</HTML>
